using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Models.Jeux.Plateau;

namespace TestUnit
{
    public class PlateauTest
    {
        [Fact]
        public void TestConstructorValid()
        {
            Plateau plateau = new Plateau();

            Assert.NotNull(plateau);
            Assert.NotNull(plateau.ListePions);
            Assert.NotNull(plateau.ListeCases);
            Assert.Equal(40, plateau.ListePions.Count);
            Assert.Equal(100, plateau.ListeCases.Count);
        }
        [Fact]
        public void TestSetListeCases() 
        {
            Plateau plateau = new Plateau();

            Case c = new Case(Couleur.BLANC, 0, 3);
            plateau.ListePions.Add(new Pion(Couleur.BLANC, c));
            Assert.Equal(41, plateau.ListePions.Count);
        }
    }
}
